import { defineConfig } from "vite";
import react from "@vitejs/plugin-react";

export default defineConfig({
  plugins: [react()],
  server: {
    host: "127.0.0.1",
    port: 5173,
    strictPort: true,
    proxy: {
      // 统一走 Go 网关 :8180
      "/api": "http://127.0.0.1:8180",
      "/ai": "http://127.0.0.1:8180",
      "/gateway": "http://127.0.0.1:8180",
    },
  },
});
